{% load i18n %}
{% load static %}
{% load static tailwind_tags %}
{% get_current_language as LANGUAGE_CODE %}

<!DOCTYPE html>
<html lang="{{ LANGUAGE_CODE }}">
  <head>
    <script>
      var _paq = (window._paq = window._paq || [])
      /* tracker methods like "setCustomDimension" should be called before "trackPageView" */
      _paq.push(['trackPageView'])
      _paq.push(['enableLinkTracking'])
      ;(function () {
        var u = '//piwik.mpiwg-berlin.mpg.de/'
        _paq.push(['setTrackerUrl', u + 'matomo.php'])
        _paq.push(['setSiteId', '18'])
        var d = document,
          g = d.createElement('script'),
          s = d.getElementsByTagName('script')[0]
        g.async = true
        g.src = u + 'matomo.js'
        s.parentNode.insertBefore(g, s)
      })()
    </script>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
    {% tailwind_css %} {% block title %}
      <title>Commoning Biomedicine</title>
    {% endblock %}
    <link rel="shortcut icon" type="image/png" href="{% static 'combio_app/favicon.ico' %}" />
    <link href="{% static 'fontawesomefree/css/fontawesome.css' %}" rel="stylesheet" type="text/css" />
    <link href="{% static 'fontawesomefree/css/solid.css' %}" rel="stylesheet" type="text/css" />
    <link href="{% static 'fontawesomefree/css/regular.css' %}" rel="stylesheet" type="text/css" />
    <script src="https://cdn.jsdelivr.net/npm/vue@3/dist/vue.global.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/echarts/5.5.0/echarts.min.js" integrity="sha512-k37wQcV4v2h6jgYf5IUz1MoSKPpDs630XGSmCaCCOXxy2awgAWKHGZWr9nMyGgk3IOxA1NxdkN8r1JHgkUtMoQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    <script src="https://cdn.jsdelivr.net/npm/echarts-themes-js@1.0.2/src/macarons.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/axios/1.3.4/axios.min.js" integrity="sha512-LUKzDoJKOLqnxGWWIBM4lzRBlxcva2ZTztO8bTcWPmDSpkErWx0bSP4pdsjNH8kiHAUPaT06UXcb+vOEZH+HpQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    <link href="https://fonts.cdnfonts.com/css/open-sans" rel="stylesheet" />
  </head>

  <body>
    <div class="w-full">
      {% block navbar %}
        <nav class="bg-mpiwg-green px-2 py-3">
          <div class="container flex flex-wrap items-center text-white justify-between mx-auto">
            <a href="/" class="flex items-center">
              <img class="object-contain w-12 place-self-right mr-4" src="{% static '/combio_app/images/mpiwg_logo_single_white.png' %}" />
              <span class="self-center text-3xl whitespace-nowrap">Commoning Biomedicine</span>
            </a>
            <div class="w-full md:w-auto" id="navbar-default">
              <ul class="flex flex-col p-4 mt-4 md:flex-row md:space-x-8 md:mt-0 md:text-base md:font-light md:border-0 underline-offset-2">
                {% if request.user.is_authenticated %}
                  <li>
                    <a href="/search" class="block py-2 pl-3 pr-4 md:border-0 hover:text-mpiwg-light-green md:p-0 hover:underline {% if nbar == 'search' %}{% endif %}">search</a>
                  </li>
                  <li>
                    <a href="/help" class="block py-2 pl-3 pr-4 md:border-0 hover:text-mpiwg-light-green md:p-0 hover:underline {% if nbar == 'help' %}{% endif %}">help</a>
                  </li>
                {% endif %}
                <li>
                  <a href="/" class="block py-2 pl-3 pr-4 md:p-0 hover:text-mpiwg-light-green hover:underline {% if nbar == 'landing' %}{% endif %}" aria-current="page">about</a>
                </li>
                {% if request.user.is_authenticated %}
                  {% if request.user.is_superuser %}
                    <li class="hidden md:block">|</li>
                    <li>
                      <a href="/admin/combio_app/record/add/" target="_blank" class="block py-2 pl-3 pr-4 md:border-0 hover:text-mpiwg-light-green md:p-0">
                        <i class="fa-solid fa-plus fa-sm mr-1"></i>
                        <span class="hover:underline">add record</span>
                      </a>
                    </li>
                    <li>
                      <a href="/admin" target="_blank" class="block py-2 pl-3 pr-4 md:border-0 hover:text-mpiwg-light-green md:p-0">
                        <i class="fa-solid fa-lock-open fa-sm mr-1"></i>
                        <span class="hover:underline">admin</span>
                      </a>
                    </li>
                  {% endif %}
                {% endif %}
                <li class="hidden md:block">|</li>
                {% if request.user.is_authenticated %}
                  <li>
                    <span class="block py-2 pl-3 pr-4 md:border-0 md:p-0">
                      <i class="fa-solid fa-user fa-sm mr-1"></i>
                      {{ request.user.username }}
                    </span>
                  </li>
                  <li>
                    <a class="block py-2 pl-3 pr-4 md:border-0 hover:text-mpiwg-light-green md:p-0" href="{% url 'account_logout' %}">
                      <i class="fa-solid fa-sign-out fa-sm mr-1"></i>
                      <span class="hover:underline">{% translate 'logout' %}</span>
                    </a>
                  </li>
                {% else %}
                  <li>
                    <a class="block py-2 pl-3 pr-4 md:border-0 hover:text-mpiwg-light-green md:p-0" href="{% url 'account_signup' %}">
                      <i class="fa-solid fa-user-plus fa-sm mr-1"></i>
                      <span class="hover:underline underline-offset-2">{% translate 'sign up' %}</span>
                    </a>
                  </li>

                  <li>
                    <a class="block py-2 pl-3 pr-4 md:border-0 hover:text-mpiwg-light-green md:p-0" href="{% url 'account_login' %}">
                      <i class="fa-solid fa-right-to-bracket fa-sm mr-1"></i>
                      <span class="hover:underline underline-offset-2">{% translate 'login' %}</span>
                    </a>
                  </li>
                  <!--         <li>
                <a
                  class="block py-2 pl-3 pr-4 md:border-0 hover:text-mpiwg-light-green md:p-0"
                  href="{% url 'account_signup' %}"
                >
                  <i class="fa-solid fa-user-plus fa-sm mr-1"></i>
                  <span class="hover:underline underline-offset-2">{% translate "register" %}</a
                ></span>
              </li>!         -->
                {% endif %}
              </ul>
            </div>
          </div>
        </nav>
      {% endblock %}
      <div>
        {% block container %}

        {% endblock %}
      </div>
    </div>
  </body>
</html>
